package com.bonus.material.equipment.mapper;

import com.bonus.material.device.domain.vo.DevInfoVo;
import com.bonus.material.equipment.domain.DeptEquipmentConfig;

import java.util.List;

public interface DeptEquipmentConfigMapper {
    DeptEquipmentConfig selectConfig(Long deptId, Long typeId);
    List<DeptEquipmentConfig> selectConfigByDept(Long deptId);
    int insertOrUpdateBatch( DeptEquipmentConfig  deptEquipmentConfig);

    int deleteByDeptIdAndTypeId(DeptEquipmentConfig team);

    List<DevInfoVo> selectDevInfoLists(DevInfoVo devInfoVo);
}
